com.ibm.openpages.api.respview

## Interface IRespViewAction

-     public interface IRespViewAction

  Represents the responsive view action. Responsive view action can be created for
  `IRespViewField` when the field type is any of the following `RespViewFieldType.parents` `RespViewFieldType.children` `RespViewFieldType.ancestors` `RespViewFieldType.descendants`

  Since:
    8.0.0.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `RespViewActionType` | `getActionType()` Gets the action type
    `java.lang.String` | `getClassifierFieldName()` Get the classifier field name for suggestAssociations action types.
    `CopyObjectOptions` | `getCopyObjectOptions()` Gets the copy object options if they are available for the current action.
    `IRespViewFilterRules` | `getFilterRules()` Gets the filter definition for this action (only for associate, associatePrimary, and copyRecursive actions).
    `java.lang.String` | `getFolder()` Gets the folder name that limits the set of objects this action refers to
    `java.lang.Integer` | `getFolderDepth()` Gets the maximum depth that will be applied to the set of objects that this action represents
    `RespViewActionLaunchType` | `getLaunchType()` Gets the action's launch type
    `java.lang.String` | `getName()` Gets the action name
    `java.lang.String` | `getNameLabel()` Returns the localized name label of the action for the user session
    `java.util.List<ILabel>` | `getNameLabels()` Returns the action name labels for all locales
    `java.lang.Boolean` | `isMultiSelect()` Determines if this action can result in multiple selections
    `java.lang.Boolean` | `isPrimaryParent()`
    `void` | `setClassifierFieldName(java.lang.String classifierFieldName)` Set the classifier field name for suggestAssociations action types.
    `void` | `setCopyObjectOptions(CopyObjectOptions options)` Sets the copy object options for copyRecursive action types.
    `void` | `setFilterRules(IRespViewFilterRules filterRules)` Sets the a filter definition for this action (only for associate, associatePrimary, and copyRecursive actions).
    `void` | `setFolder(java.lang.String folder)` Sets the folder name that limits the set of objects this action refers to
    `void` | `setFolderDepth(java.lang.Integer folderDepth)` Sets the maximum depth that will be applied to the set of objects that this action represents
    `void` | `setLaunchType(RespViewActionLaunchType launchType)` Sets the action's launch type
    `void` | `setMultiSelect(java.lang.Boolean multiSelect)` Sets if this action can result in multiple selections
    `void` | `setNameLabels(java.util.List<ILabel> nameLabels)` Sets the list of action name labels
    `void` | `setPrimaryParent(java.lang.Boolean primaryParent)`

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Gets the action name
      Returns:
        the action name

    - #### getNameLabel

          java.lang.String getNameLabel()

      Returns the localized name label of the action for the user session
      Returns:
        the localized name label as a string

    - #### getActionType

          RespViewActionType getActionType()

      Gets the action type
      Returns:
        `RespViewActionType` the type of action.

    - #### getFolder

          java.lang.String getFolder()

      Gets the folder name that limits the set of objects this action refers to
      Returns:
        the filtering folder name

    - #### getFolderDepth

          java.lang.Integer getFolderDepth()

      Gets the maximum depth that will be applied to the set of objects that this action represents
      Returns:
        the folder depth value, null if not specified

    - #### getCopyObjectOptions

          CopyObjectOptions getCopyObjectOptions()

      Gets the copy object options if they are available for the current action. This will only have a value if the action type is RespViewActionType.copyRecursive.
      Returns:
        the CopyObjectOptions instance when the action type is copyRecursive

    - #### isMultiSelect

          java.lang.Boolean isMultiSelect()

      Determines if this action can result in multiple selections
      Returns:
        true or false

    - #### isPrimaryParent

          java.lang.Boolean isPrimaryParent()

      Returns:

    - #### setFolder

          void setFolder(java.lang.String folder)

      Sets the folder name that limits the set of objects this action refers to
      Parameters:
        `path` - the filtering path name

    - #### setFolderDepth

          void setFolderDepth(java.lang.Integer folderDepth)

      Sets the maximum depth that will be applied to the set of objects that this action represents
      Parameters:
        `folderDepth` - the folder depth value

    - #### setCopyObjectOptions

          void setCopyObjectOptions(CopyObjectOptions options)

      Sets the copy object options for copyRecursive action types.
      Parameters:
        `options` - - the copyRecursive options object

    - #### setPrimaryParent

          void setPrimaryParent(java.lang.Boolean primaryParent)

      Parameters:
        `primaryParent` - true or false

    - #### setMultiSelect

          void setMultiSelect(java.lang.Boolean multiSelect)

      Sets if this action can result in multiple selections
      Parameters:
        `multiSelect` - true or false

    - #### getNameLabels

          java.util.List<ILabel> getNameLabels()

      Returns the action name labels for all locales
      Returns:
        `ILabel` the action name label

    - #### setNameLabels

          void setNameLabels(java.util.List<ILabel> nameLabels)

      Sets the list of action name labels
      Parameters:
        `nameLabels` - the list of `ILabel`

    - #### getClassifierFieldName

          java.lang.String getClassifierFieldName()

      Get the classifier field name for suggestAssociations action types. (e.g., "My Field Group.Controls Classifier")
      Returns:
        Classifier field name

    - #### setClassifierFieldName

          void setClassifierFieldName(java.lang.String classifierFieldName)

      Set the classifier field name for suggestAssociations action types.
      Parameters:
        `classifierFieldName` -

    - #### getFilterRules

          IRespViewFilterRules getFilterRules()

      Gets the filter definition for this action (only for associate, associatePrimary, and copyRecursive actions).
      Returns:
        IRespViewFilterRules

    - #### setFilterRules

          void setFilterRules(IRespViewFilterRules filterRules)

      Sets the a filter definition for this action (only for associate, associatePrimary, and copyRecursive actions).
      Parameters:
        `filterRules` - IRespViewFilterRules

    - #### getLaunchType

          RespViewActionLaunchType getLaunchType()

      Gets the action's launch type
      Returns:
        `RespViewActionLaunchType` the type of action.

    - #### setLaunchType

          void setLaunchType(RespViewActionLaunchType launchType)

      Sets the action's launch type
      Parameters:
        `launchType` - `RespViewActionLaunchType` the type of action.

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2020. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.